Bug 1255104 - Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed
Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assert...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: muffin (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 11:47 EDT by Brian J. Murrell
Modified: 2016-07-19 16:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:12:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2015-08-19 11:47:13 EDT
Description of problem:
My ~/.xsession-errors is being spammed with:

Window manager warning: Log level 8: meta_screen_get_monitor_geometry: assertion 'monitor >= 0 && monitor < screen->n_monitor_infos' failed

many times per second.

Version-Release number of selected component (if applicable):
muffin-2.6.1-2.fc22.x86_64

How reproducible:
Unsure

Steps to Reproduce:
1. Unsure
2.
3.

Actual results:
~/.xsession-errors is being spammed

Expected results:
~/.xsession-errors should not be spammed

Additional info:

Setting urgent as this is going to fill my disk soon and make my system unusable.
Comment 1 Brian J. Murrell 2015-08-19 11:59:03 EDT
Any suggestion at least as to how to stop it so that it does not fill up my disk?
Comment 2 leigh scott 2015-08-19 12:11:59 EDT
I think this bug is the gnome equivalent

https://bugzilla.gnome.org/show_bug.cgi?id=702564

I will attempt to backport and attach a scratch build for you to test
Comment 3 Brian J. Murrell 2015-08-19 12:16:56 EDT
(In reply to leigh scott from comment #2)
> 
> I will attempt to backport and attach a scratch build for you to test

Cool, thanks!

It is interesting the question in https://bugzilla.gnome.org/show_bug.cgi?id=702564#c1

I don't know/think that my tray is "hidden".  If it's referring to the notification area, like where pidgin puts it's notification icon for example, as far as I can see, mine is visible.

Maybe I am just not understanding the question/theory.
Comment 4 leigh scott 2015-08-19 15:01:15 EDT
porting the patch doesn't look easy, try this for now (will stop all logging)

chattr +i ~/.xsession-errors
Comment 5 Jeff Nelson 2016-06-09 16:19:22 EDT
This problem still occurs but in my case, /var/log/messages is getting spammed. The workaround suggested in comment 4 doesn't work because ~/.xsession-errors is is not affected.

System details are as follows.

Hardware: Lenovo Thinkpad T440s
Monitors: 2 external connected via docking station (DP2-1 and DP2-2)
          1 laptop LCD screen (eDP1)
OS: Fedora 23
Desktop: cinnamon-desktop-3.0.2-1.fc23

The error messages seem to be triggered when docking and/or undocking the laptop.

Let me know if I can help with getting this fixed.
Comment 6 Fedora End Of Life 2016-07-19 16:12:48 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.